Delete reversal_event by id
DELETE /obp/dynamic-entity/banks/dylan-bank/reversal_event/REVERSAL_EVENT_ID
OBPv4.0.0-dynamicEntity_deletereversal_event_dylan-bank Roles: CanDeleteDynamicEntityRecord_reversal_event(per bank) _Reversal_event(dylan-bank)Dynamic-EntityDynamic
Delete reversal_event by id
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"reversal_event"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"reversal_event_id": "rev_01HZZ2P3Q4R5S6T7U8V9",
"activity_id": "a_05OFWI037022",
"parcel_id": "parcel_03OGNWO397234DQ",
"monitoring_period_id": "mp_01HZYW8C9R7P4D2A6K1TQ3",
"token_id": "0xAb58...token_id_42",
"quantity_reversed_tco2e": 6,
"reversal_cause": "fire",
"voluntary_flag": "involuntary",
"occurrence_date": "2028-06-14",
"detected_date": "2028-06-20",
"detection_source": "monitoring_system",
"status_code": "reported / under_review / confirmed / liability_applied / resolved",
"liability_choice_id": "lc_01HZZ3...",
"buffer_pool_drawdown_amount": 6,
"units_cancelled": "0xAb58...token_id_42",
"verification_body_id": "cb_01HZZ1M2A3B4C5D6E7F8",
"audit_report_id": "ar_01HZZ4...",
"certification_methodology_reference": "{\"id\": \"crcf_agri_mineral_soils\", \"version\": \"1.0\"}",
"corrective_measures": "Re-establishment of cover crop, revised monitoring frequency",
"on_chain_tx_hash": "0x8f2a...c91e",
"created_at": "2028-06-20",
"updated_at": "2028-07-01"
}Example success response
{
"bank_id": "dylan-bank",
"reversal_event": {
"reversal_event_id": "rev_01HZZ2P3Q4R5S6T7U8V9",
"activity_id": "a_05OFWI037022",
"parcel_id": "parcel_03OGNWO397234DQ",
"monitoring_period_id": "mp_01HZYW8C9R7P4D2A6K1TQ3",
"token_id": "0xAb58...token_id_42",
"quantity_reversed_tco2e": 6,
"reversal_cause": "fire",
"voluntary_flag": "involuntary",
"occurrence_date": "2028-06-14",
"detected_date": "2028-06-20",
"detection_source": "monitoring_system",
"status_code": "reported / under_review / confirmed / liability_applied / resolved",
"liability_choice_id": "lc_01HZZ3...",
"buffer_pool_drawdown_amount": 6,
"units_cancelled": "0xAb58...token_id_42",
"verification_body_id": "cb_01HZZ1M2A3B4C5D6E7F8",
"audit_report_id": "ar_01HZZ4...",
"certification_methodology_reference": "{\"id\": \"crcf_agri_mineral_soils\", \"version\": \"1.0\"}",
"corrective_measures": "Re-establishment of cover crop, revised monitoring frequency",
"on_chain_tx_hash": "0x8f2a...c91e",
"created_at": "2028-06-20",
"updated_at": "2028-07-01"
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.